zenilib: zenilib/jni/external/sdl/src/libm/e_log.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
e_log.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`

Go to the source code of this file.

## Functions

| EXTRACT_WORDS (hx, lx, x)
| if (hx< 0x00100000)
| if (i > 0)
else return dk * | ln2_hi ((s *(f-R)-dk *ln2_lo)-f)
| SET_HIGH_WORD (x, hx|(i^0x3ff00000))

## Variables

| dk = (double) k
| else
| f = x - 1.0
int32_t | hx
int32_t | i = (hx + 0x95f64) & 0x100000
int32_t | j = 0x6b851 - hx
int32_t | k
static double | Lg1 = 6.666666666666735130e-01
static double | Lg2 = 3.999999999940941908e-01
static double | Lg3 = 2.857142874366239149e-01
static double | Lg4 = 2.222219843214978396e-01
static double | Lg5 = 1.818357216161805012e-01
static double | Lg6 = 1.531383769920937332e-01
static double | Lg7 = 1.479819860511658591e-01
static double | ln2_hi = 6.93147180369123816490e-01
static double | ln2_lo = 1.90821492927058770002e-10
u_int32_t | lx
| R = t2 + t1
| s = f / (2.0 + f)
| t1 = w * (Lg2 + w * (Lg4 + w * Lg6))
| t2 = z * (Lg1 + w * (Lg3 + w * (Lg5 + w * Lg7)))
static double | two54 = 1.80143985094819840000e+16
| w = z * z
double attribute_hidden double | x
| z = s * s
static double | zero = 0.0

## Function Documentation

EXTRACT_WORDS | ( | hx | ,
|  | lx | ,
|  | x |
| ) |  |

if | ( |  | ) |

Definition at line 110 of file e_log.c.

References GET_HIGH_WORD, two54, and zero.

if | ( | i | ,
|  | 0 |
| ) |  |

Definition at line 154 of file e_log.c.

References ln2_hi, ln2_lo, and R.

else return dk* ln2_hi | ( | (s *(f-R)-dk *ln2_lo)- | f | ) |

SET_HIGH_WORD | ( | x | ,
|  | hx| | i^0x3ff00000
| ) |  |

## Variable Documentation

dk = (double) k

Definition at line 145 of file e_log.c.

else

Initial value:
{
return f - s * (f - R)
s
GLdouble s
Definition: glew.h:1376
f
GLclampf f
Definition: glew.h:3390
R
R
Definition: e_log.c:153

Definition at line 161 of file e_log.c.

f = x - 1.0

Definition at line 126 of file e_log.c.

int32_t hx

Definition at line 102 of file e_log.c.

Referenced by __ieee754_atan2(), __ieee754_pow(), atan(), copysign(), floor1_encode(), floor1_fit(), floor1_inverse2(), floor1_look(), and scalbn().

i = (hx + 0x95f64) & 0x100000

Definition at line 102 of file e_log.c.

recompute j = 0x6b851 - hx

Definition at line 102 of file e_log.c.

Referenced by _01class(), _01forward(), _01inverse(), _2class(), __ieee754_pow(), _bdf_list_join(), _best(), _book_unquantize(), _make_words(), _ov_splice(), _preextrapolate_helper(), _ve_amp(), _ve_envelope_init(), _ve_envelope_search(), _vp_couple_quantize_normalize(), _vp_psy_clear(), _vp_psy_init(), af_sort_pos(), af_sort_widths(), alDeleteSources(), analysis(), AverageHrirMagnitude(), build_device_list(), build_tree_from_lengths(), CalcSourceParams(), CalculateDiffuseFieldAverage(), CalculateHrtds(), cell_spacing(), cff_charset_compute_cids(), cff_charset_load(), cff_encoding_load(), cheby(), CompareStruct(), sh::OutputHLSL::declareUniform(), decode_established_timings(), DecodeIMA4Block(), DiffuseFieldEqualize(), dradbg(), dradfg(), drfti1(), EncodeIMA4Block(), face_array_write(), flag_lossless(), floor(), floor0_inverse1(), floor0_map_lazy_init(), floor0_unpack(), floor1_encode(), floor1_fit(), floor1_inverse1(), floor1_inverse2(), floor1_look(), floor1_pack(), floor1_unpack(), fnt_face_get_dll_font(), TIntermConstantUnion::fold(), FreeALConfig(), FT_Bitmap_Convert(), FT_CMap_Done(), FT_Raccess_Get_DataOffsets(), Zeni::Text_Box::get_cursor_pos(), get_setup_template(), getAVAudioStream(), GetConfigValue(), gxv_kern_subtable_fmt3_validate(), gxv_odtect_validate(), gxv_set_length_by_ulong_offset(), gxv_set_length_by_ushort_offset(), gxv_trak_trackTable_validate(), huft_build(), Zeni::Image::Image(), inflate_blocks(), inflate_codes(), InitContext(), lib3ds_matrix_add(), lib3ds_matrix_identity(), lib3ds_matrix_inv(), lib3ds_matrix_mult(), lib3ds_matrix_neg(), lib3ds_matrix_scalar(), lib3ds_matrix_sub(), lib3ds_matrix_transpose(), lib3ds_matrix_zero(), lib3ds_mesh_calculate_vertex_normals(), lib3ds_mesh_read(), lib3ds_mesh_write(), LoadAsciiSource(), LoadHrtf00(), LoadHrtf01(), local_book_besterror(), main(), mapping0_forward(), mapping0_inverse(), mdct_butterflies(), mdct_init(), MixSource(), mm_axis_unmap(), noise_normalize(), NormalizeHrirs(), Zeni::Text_Box::on_accept(), Zeni::Matrix4f::operator*(), otv_MathKernInfo_validate(), ov_read_filter(), pcf_get_encodings(), pcf_read_TOC(), png_build_16bit_table(), png_do_read_interlace(), png_do_shift(), png_read_image(), png_set_quantize(), png_write_find_filter(), png_write_info(), pqdownheap(), ProbeCaptureDevices(), ProbePlaybackDevices(), process_one(), ReconstructHrirs(), ReleaseALSources(), Render_Single_Pass(), Zeni::Font_FT::render_text(), res0_free_look(), res0_look(), res0_pack(), res0_unpack(), res2_forward(), ResampleHrirs(), Zeni::Image::resize(), SDL_PrivateLoadButtonMapping(), SDL_SaveAllDollarTemplates(), SDL_SaveDollarTemplate(), SDL_VideoQuit(), SDLNet_UDP_RecvV(), SDLNet_UDP_SendV(), SDLTest_CommonInit(), SDLTest_CompareSurfaces(), SDLTest_Crc32Init(), Zeni::Text_Box::seek(), Zeni::Text_Box::seek_cursor(), SetSourceState(), setup_tone_curves(), Zeni::Collision::Parallelepiped::shortest_distance(), StoreMhr(), StoreTable(), switch(), SynthesizeHrirs(), test_atan2(), test_rotate(), Zeni::Matrix4f::transpose(), Zeni::Matrix4f::transposed(), tt_check_trickyness_sfnt_ids(), tt_face_load_gasp(), Zeni::Vertex_Buffer_Renderer_DX9::Vertex_Buffer_Renderer_DX9(), Zeni::Vertex_Buffer_Renderer_GL_Fixed::Vertex_Buffer_Renderer_GL_Fixed(), Zeni::Vertex_Buffer_Renderer_GL_Shader::Vertex_Buffer_Renderer_GL_Shader(), vorbis_book_decodev_add(), vorbis_book_decodev_set(), vorbis_book_decodevs_add(), vorbis_book_decodevv_add(), vorbis_book_init_decode(), vorbis_encode_map_n_res_setup(), vorbis_encode_noisebias_setup(), vorbis_encode_residue_setup(), vorbis_lpc_from_data(), vorbis_lpc_predict(), vorbis_lsp_to_curve(), vorbis_staticbook_pack(), vorbis_staticbook_unpack(), vorbis_synthesis_blockin(), vorbis_synthesis_lapout(), vqgen_cellmetric(), vqgen_iterate(), vqgen_quantize(), vqgen_unquantize(), write_codebook(), and zmemcmp().

k

Initial value:
{
double hfsq, f, s, z, R, w, t1, t2, dk
s
GLdouble s
Definition: glew.h:1376
t2
t2
Definition: e_log.c:151
f
GLclampf f
Definition: glew.h:3390
dk
dk
Definition: e_log.c:145
t1
GLuint GLfloat GLfloat GLfloat GLfloat GLfloat GLfloat GLfloat GLfloat GLfloat t1
Definition: glew.h:11582
z
GLint GLint GLint GLint z
Definition: gl2ext.h:1214
w
GLint GLint GLint GLint GLint w
Definition: gl2ext.h:1215
R
R
Definition: e_log.c:153

Definition at line 102 of file e_log.c.

Referenced by _01class(), _01forward(), _01inverse(), _2class(), __ieee754_atan2(), __ieee754_pow(), _book_unquantize(), _vp_couple_quantize_normalize(), af_loader_load_g(), alsa_reset_playback(), BesselI_0(), cell_spacing(), cff_encoding_load(), DecodeIMA4Block(), dradb2(), dradb3(), dradb4(), dradbg(), dradf2(), dradf4(), dradfg(), EchoProcess(), EncodeIMA4Block(), FftArrange(), FftSummation(), floor0_inverse1(), floor1_encode(), floor1_inverse1(), floor1_pack(), floor1_unpack(), fnt_face_get_dll_font(), huft_build(), if(), inflate_blocks(), inflate_codes(), inflate_trees_fixed(), lib3ds_io_read_string(), lib3ds_matrix_inv(), lib3ds_matrix_mult(), lib3ds_matrix_scalar(), lib3ds_quat_scalar(), lib3ds_vector_scalar_mul(), main(), mapping0_forward(), Newton_Raphson(), noise_normalize(), Zeni::Text_Box::on_accept(), png_set_quantize(), pqdownheap(), process_postprocess(), Zeni::Projector3D::project(), Render_Single_Pass(), res0_free_look(), res0_look(), res2_forward(), res2_inverse(), scalbn(), SetSourceState(), setup_tone_curves(), translate_array(), tt_check_trickyness_sfnt_ids(), tt_face_get_metrics(), TT_Process_Composite_Component(), vorbis_encode_floor_setup(), vorbis_encode_residue_setup(), vqgen_addpoint(), vqgen_cellmetric(), vqgen_iterate(), vqgen_quantize(), vqgen_unquantize(), write_codebook(), and ZEXPORT().

double Lg1 = 6.666666666666735130e-01

static

Definition at line 80 of file e_log.c.

double Lg2 = 3.999999999940941908e-01

static

Definition at line 81 of file e_log.c.

double Lg3 = 2.857142874366239149e-01

static

Definition at line 82 of file e_log.c.

double Lg4 = 2.222219843214978396e-01

static

Definition at line 83 of file e_log.c.

double Lg5 = 1.818357216161805012e-01

static

Definition at line 84 of file e_log.c.

double Lg6 = 1.531383769920937332e-01

static

Definition at line 85 of file e_log.c.

double Lg7 = 1.479819860511658591e-01

static

Definition at line 86 of file e_log.c.

double ln2_hi = 6.93147180369123816490e-01

static

Definition at line 77 of file e_log.c.

Referenced by if().

double ln2_lo = 1.90821492927058770002e-10

static

Definition at line 78 of file e_log.c.

Referenced by if().

u_int32_t lx

Definition at line 105 of file e_log.c.

Referenced by __ieee754_atan2(), __ieee754_pow(), compress_block(), floor1_encode(), floor1_fit(), floor1_inverse2(), floor1_look(), and scalbn().

R = t2 + t1

Definition at line 153 of file e_log.c.

Referenced by bark_noise_hybridmp(), if(), lib3ds_matrix_rotate_quat(), Map1toN(), SDL_Blit_ABGR8888_ARGB8888_Modulate(), SDL_Blit_ABGR8888_ARGB8888_Modulate_Scale(), SDL_Blit_ABGR8888_ARGB8888_Scale(), SDL_Blit_ABGR8888_BGR888_Modulate(), SDL_Blit_ABGR8888_BGR888_Modulate_Scale(), SDL_Blit_ABGR8888_BGR888_Scale(), SDL_Blit_ABGR8888_RGB888_Modulate(), SDL_Blit_ABGR8888_RGB888_Modulate_Scale(), SDL_Blit_ABGR8888_RGB888_Scale(), SDL_Blit_ARGB8888_ARGB8888_Modulate(), SDL_Blit_ARGB8888_ARGB8888_Modulate_Scale(), SDL_Blit_ARGB8888_BGR888_Modulate(), SDL_Blit_ARGB8888_BGR888_Modulate_Scale(), SDL_Blit_ARGB8888_BGR888_Scale(), SDL_Blit_ARGB8888_RGB888_Modulate(), SDL_Blit_ARGB8888_RGB888_Modulate_Scale(), SDL_Blit_ARGB8888_RGB888_Scale(), SDL_Blit_BGR888_ARGB8888_Modulate(), SDL_Blit_BGR888_ARGB8888_Modulate_Scale(), SDL_Blit_BGR888_ARGB8888_Scale(), SDL_Blit_BGR888_BGR888_Modulate(), SDL_Blit_BGR888_BGR888_Modulate_Scale(), SDL_Blit_BGR888_RGB888_Modulate(), SDL_Blit_BGR888_RGB888_Modulate_Scale(), SDL_Blit_BGR888_RGB888_Scale(), SDL_Blit_BGRA8888_ARGB8888_Modulate(), SDL_Blit_BGRA8888_ARGB8888_Modulate_Scale(), SDL_Blit_BGRA8888_ARGB8888_Scale(), SDL_Blit_BGRA8888_BGR888_Modulate(), SDL_Blit_BGRA8888_BGR888_Modulate_Scale(), SDL_Blit_BGRA8888_BGR888_Scale(), SDL_Blit_BGRA8888_RGB888_Modulate(), SDL_Blit_BGRA8888_RGB888_Modulate_Scale(), SDL_Blit_BGRA8888_RGB888_Scale(), SDL_Blit_RGB888_ARGB8888_Modulate(), SDL_Blit_RGB888_ARGB8888_Modulate_Scale(), SDL_Blit_RGB888_ARGB8888_Scale(), SDL_Blit_RGB888_BGR888_Modulate(), SDL_Blit_RGB888_BGR888_Modulate_Scale(), SDL_Blit_RGB888_BGR888_Scale(), SDL_Blit_RGB888_RGB888_Modulate(), SDL_Blit_RGB888_RGB888_Modulate_Scale(), SDL_Blit_RGBA8888_ARGB8888_Modulate(), SDL_Blit_RGBA8888_ARGB8888_Modulate_Scale(), SDL_Blit_RGBA8888_ARGB8888_Scale(), SDL_Blit_RGBA8888_BGR888_Modulate(), SDL_Blit_RGBA8888_BGR888_Modulate_Scale(), SDL_Blit_RGBA8888_BGR888_Scale(), SDL_Blit_RGBA8888_RGB888_Modulate(), SDL_Blit_RGBA8888_RGB888_Modulate_Scale(), SDL_Blit_RGBA8888_RGB888_Scale(), SDLTest_CompareSurfaces(), and Zeni::Collision::Parallelepiped::shortest_distance().

s = f / (2.0 + f)

Definition at line 144 of file e_log.c.

t1 = w * (Lg2 + w * (Lg4 + w * Lg6))

Definition at line 150 of file e_log.c.

t2 = z * (Lg1 + w * (Lg3 + w * (Lg5 + w * Lg7)))

Definition at line 151 of file e_log.c.

Referenced by __ieee754_pow(), _transformSurfaceRGBA(), BBox_Cubic_Check(), dradb2(), dradb3(), dradb4(), dradbg(), dradf2(), dradf4(), dradfg(), and Zeni::Quaternion::operator*().

double two54 = 1.80143985094819840000e+16

static

Definition at line 79 of file e_log.c.

Referenced by if().

w = z * z

Definition at line 148 of file e_log.c.

return x x

Definition at line 100 of file e_log.c.

z = s * s

Definition at line 146 of file e_log.c.

double zero = 0.0

static

Definition at line 91 of file e_log.c.

Referenced by if().